from pyuspostalservice.endpoints.base.base_endpoint import USPSEndpoint
from pyuspostalservice.endpoints.usps.TrackingIdNotificationsEndpoint import TrackingNotificationsEndpoint
from pyuspostalservice.endpoints.usps.TrackingIdProofOfDeliveryEndpoint import TrackingIdProofOfDeliveryEndpoint

class TrackingIdEndpoint(
    USPSEndpoint,
):
    def __init__(self, client, parent_endpoint=None) -> None:
        USPSEndpoint.__init__(self, client, "{id}", parent_endpoint=parent_endpoint)
        self.notifications = self._register_child_endpoint(TrackingNotificationsEndpoint(client, parent_endpoint=self))
        self.proof_of_delivery = self._register_child_endpoint(TrackingIdProofOfDeliveryEndpoint(client, parent_endpoint=self))

